.mxl25641-cdrouter: &mxl25641_cdrouter
  needs:
    - job: build test mxl_x86_osp_tb341_v2 mxl_wlan_hostap_ng_wav700 prpl security
      optional: true
  extends:
    - .mxl25641-hdk-6 testbed
    - .cdrouter

CDRouter-Top-100+mDNS-OSP MXL25641-HDK-6 eMMC:
  <<: *mxl25641_cdrouter
  variables:
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh

CDRouter-Top-100+mDNS-OSP MXL25641-HDK-6 VLAN WAN/LAN eMMC:
  <<: *mxl25641_cdrouter
  variables:
    CDROUTER_TEST_CONFIG: vlan
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-vlans.sh

CDRouter-Top-100+mDNS-OSP MXL25641-HDK-6 PPPoE WAN eMMC:
  <<: *mxl25641_cdrouter
  variables:
    CDROUTER_TEST_CONFIG: ppp
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-pppoe.sh

CDRouter-Wireless MXL25641-HDK-6 eMMC:
  <<: *mxl25641_cdrouter
  stage: cdrouter smoke
  variables:
    CDROUTER_TEST_CONFIG: wireless
    CDROUTER_CONFIG_WIFI_BEACON_PHY: 'ax b g n'
    CDROUTER_CONFIG_WIFI_BEACON_RSN_CIPHER: 'CCMP-128 GCMP-256'
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-wireless.sh


.mxl25641-cdrouter-ipv6: &mxl25641_cdrouter_ipv6
  <<: *mxl25641_cdrouter
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: never
    - if: '$TFTP_IMAGE_DOWNLOAD_URL =~ $TFTP_IMAGE_FILENAME_PATTERN'
      when: always
    - if: '$TFTP_IMAGE_DOWNLOAD_URL'
      when: never
    - if: '$CI_COMMIT_BRANCH == $CI_DESIGNATED_BRANCH'
    - when: manual

CDRouter-UPnP-IPv46 MXL25641-HDK-6 eMMC:
  <<: *mxl25641_cdrouter_ipv6
  allow_failure: true
  variables:
    CDROUTER_TEST_CONFIG: generic-ipv6-upnp
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh

CDRouter-IPv6-Top-100+mDNS MXL25641-HDK-6 eMMC:
  <<: *mxl25641_cdrouter_ipv6
  variables:
    CDROUTER_TEST_CONFIG: generic-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh

prpl-Certification MXL25641-HDK-6 eMMC:
  <<: *mxl25641_cdrouter_ipv6
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: never
    - when: manual
  variables:
    CDROUTER_TEST_CONFIG: generic-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh

CDRouter-IPv6-Top-100+mDNS MXL25641-HDK-6 VLAN WAN/LAN eMMC:
  <<: *mxl25641_cdrouter_ipv6
  variables:
    CDROUTER_TEST_CONFIG: vlan-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-vlans.sh

.CDRouter-IPv6-Top-100+mDNS MXL25641-HDK-6 PPPoE WAN eMMC:
  <<: *mxl25641_cdrouter_ipv6
  variables:
    CDROUTER_TEST_CONFIG: ppp-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-pppoe.sh

CDRouter-TR-069 MXL25641-HDK-6 eMMC:
  <<: *mxl25641_cdrouter
  variables:
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-tr181-mockups.sh

CDRouter-USP-prpl MXL25641-HDK-6 eMMC:
  <<: *mxl25641_cdrouter
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: never
    - when: manual
  variables:
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh

prplWare-Smoke-Test-Suite MXL25641-HDK-6 eMMC:
  <<: *mxl25641_cdrouter_ipv6
  stage: cdrouter smoke
  variables:
    CDROUTER_TEST_CONFIG: smoke-test
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-flush-dns-relay-cache.sh
      .gitlab/scripts/dut-init/cdrouter-tr181-mockups.sh
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh
